<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.fdkankan</groupId>
	<artifactId>xxl-job</artifactId>
	<version>2.4.0-SNAPSHOT</version>
	<packaging>pom</packaging>

	<name>${project.artifactId}</name>
	<description>A distributed task scheduling framework.</description>
	<url>https://www.xuxueli.com/</url>

	<modules>
		<module>xxl-job-core</module>
		<module>xxl-job-admin</module>
	</modules>

	<repositories>
		<repository>
			<id>releases</id>
			<url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
		</repository>
		<repository>
			<id>nexus-aliyun</id>
			<url>http://maven.aliyun.com/nexus/content/groups/public</url>
		</repository>
		<repository>
			<id>snapshots</id>
			<url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
		</repository>
	</repositories>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<maven.compiler.encoding>UTF-8</maven.compiler.encoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.test.skip>true</maven.test.skip>

		<netty-all.version>4.1.63.Final</netty-all.version>
		<gson.version>2.9.0</gson.version>

		<spring.version>5.3.20</spring.version>
		<spring-boot.version>2.6.7</spring-boot.version>

		<mybatis-spring-boot-starter.version>2.2.2</mybatis-spring-boot-starter.version>
		<mysql-connector-java.version>8.0.29</mysql-connector-java.version>

		<slf4j-api.version>1.7.36</slf4j-api.version>
		<junit-jupiter.version>5.8.2</junit-jupiter.version>
		<javax.annotation-api.version>1.3.2</javax.annotation-api.version>

		<groovy.version>3.0.10</groovy.version>

		<maven-source-plugin.version>3.2.1</maven-source-plugin.version>
		<maven-javadoc-plugin.version>3.4.0</maven-javadoc-plugin.version>
		<maven-gpg-plugin.version>3.0.1</maven-gpg-plugin.version>
	</properties>

	<build>
		<plugins>
		</plugins>
	</build>

	<distributionManagement>
		<repository>
			<!-- 这里的ID要和setting的id一致 -->
			<id>releases</id>
			<url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
		</repository>
		<!--这是打成快照版本的配置 -->
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>

</project>